
#include "sys.h"
#include <stdio.h>
#include <string.h>


ENTRY void csys_console_write(const String str)
{
	#ifdef WINDOWS
		wprintf(L"%s", str);
	#else
		char* line;
		SysErrorCode res = csys_newLocaleFromString(&line, str);
		
		// If the string can not be converted to the current locale, it is 
		// simply not written to the standard output.
		if( res != OK )
			return;
			
		size_t n = strlen(line);
		fwrite(line, n, 1, stdout);
		csys_deleteLocale(line);
	#endif
}
